<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('construction_road_cuttings', function (Blueprint $table) {
            $table->string('no_duct')->nullable();
            $table->string('roadtype')->nullable();
            $table->string('no_chamber')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('construction_road_cuttings', function (Blueprint $table) {
            $table->dropColumn('no_duct')->nullable();
            $table->dropColumn('roadtype')->nullable();
            $table->dropColumn('no_chamber')->nullable();
        });
    }
};
